Import Xml Presigned Url
curl --request POST \
--url https://api.example.com/api/v1/users/{user_id}/import/apple/xml/s3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "",
"expiration_seconds": 300,
"max_file_size": 52428800
}
'import requests
url = "https://api.example.com/api/v1/users/{user_id}/import/apple/xml/s3"
payload = {
"filename": "",
"expiration_seconds": 300,
"max_file_size": 52428800
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '', expiration_seconds: 300, max_file_size: 52428800})
};
fetch('https://api.example.com/api/v1/users/{user_id}/import/apple/xml/s3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"upload_url": "<string>",
"form_fields": {},
"file_key": "<string>",
"expires_in": 123,
"max_file_size": 123,
"bucket": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Apple Health Import
Import Xml Presigned Url
Generate presigned URL for XML file upload and trigger processing task.
POST
/
api
/
v1
/
users
/
{user_id}
/
import
/
apple
/
xml
/
s3
Import Xml Presigned Url
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
Was this page helpful?
⌘I

